#ifndef INC_LIBNAW_CONF_H
#define INC_LIBNAW_CONF_H

#ifdef NAW_PRELOAD
# define naw_connect connect
# define naw_accept  accept
# define naw_init    _init
#else
# define NEED_EXPLICIT_INIT 1
#endif

#ifdef NEED_EXPLICIT_INIT
# define EXPLICIT_INIT(cmd) cmd
# undef naw_init /* to undo the above */
#else
# define EXPLICIT_INIT(cmd) /* null statement */
#endif

#define die_nomem naw_die_nomem

#endif
