#ifndef NAW_INLINES_H
#define NAW_INLINES_H

/***************************************************************************
  Load an allocated (5 char) key, using [prefix] and [ref].
  Format: [prefix][ref1][ref2][ref3][ref4]
 ***************************************************************************/

static inline void
key_load(char *key, char prefix, ub4_t ref)
{
    key[0] = prefix;
    *(ub4_t *)&key[1] = ref;
}

struct cdb;

static inline int
submodule_next(
        struct naw_handle *handle,
        struct cdb *c,
        struct naw_module_dbset *mdbset,
        struct naw_data *data)
{
    int r;
    mdbset->modref = *mdbset->modrefp;
    r = submodule(handle, c, mdbset->modref, data);
    mdbset->howmany--;
    mdbset->modrefp++;
    return r;
}

#endif /* NAW_INLINES_H */
